Subject: bug#32850: 27.0.50; window-swap-states doesn't swap window prev/next-buffers

From: martin rudalics <[email-masked]>
Date: Thu, 27 Sep 2018 20:45:12 +0200

> I see that window-swap-states breaks the order of window buffers
 > for 'C-x <C-left>' (previous-buffer) and 'C-x <C-right>' (next-buffer)
 > because it doesn't swap window-prev-buffers and window-next-buffers.
 >
 > Shouldn't window-swap-states also swap prev/next buffers?

So you want to change the course of history.  Could you provide some
rationale for such a change?

martin